Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-""" Viewing components for WAeUP objects.
+""" Viewing components for SIRP objects.
 """
 import copy
@@ -38,6 +38,6 @@
 from zope.session.interfaces import ISession
 from waeup.sirp.browser import (
-    WAeUPPage, WAeUPForm, WAeUPEditFormPage, WAeUPAddFormPage,
-    WAeUPDisplayFormPage, NullValidator)
+    SIRPPage, SIRPForm, SIRPEditFormPage, SIRPAddFormPage,
+    SIRPDisplayFormPage, NullValidator)
 from waeup.sirp.browser.interfaces import (
     IUniversity, IFacultyContainer, IFaculty, IFacultyAdd,
@@ -46,6 +46,6 @@
 from waeup.sirp.browser.resources import warning, datepicker, tabs, datatable
 from waeup.sirp.interfaces import(
-    IWAeUPObject, IUsersContainer, IUserAccount, IDataCenter,
-    IWAeUPXMLImporter, IWAeUPXMLExporter, IBatchProcessor,
+    ISIRPObject, IUsersContainer, IUserAccount, IDataCenter,
+    ISIRPXMLImporter, ISIRPXMLExporter, IBatchProcessor,
     ILocalRolesAssignable, DuplicationError, IConfigurationContainer,
     ISessionConfiguration, ISessionConfigurationAdd,
@@ -60,5 +60,5 @@
 from waeup.sirp.utils.helpers import get_user_account, send_mail
 
-grok.context(IWAeUPObject)
+grok.context(ISIRPObject)
 grok.templatedir('templates')
 
@@ -139,9 +139,9 @@
 #
 
-class LoginPage(WAeUPPage):
+class LoginPage(SIRPPage):
     """A login page, available for all objects.
     """
     grok.name('login')
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.require('waeup.Public')
     title = u'Login'
@@ -174,8 +174,8 @@
 
 
-class LogoutPage(WAeUPPage):
+class LogoutPage(SIRPPage):
     """A logout page. Calling this page will log the current user out.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.require('waeup.Public')
     grok.name('logout')
@@ -185,5 +185,5 @@
             auth = getUtility(IAuthentication)
             ILogout(auth).logout(self.request)
-            self.flash("You have been logged out. Thanks for using WAeUP SIRP!")
+            self.flash("You have been logged out. Thanks for using SIRP SIRP!")
         self.redirect(self.application_url())
 
@@ -192,5 +192,5 @@
 #
 
-class ContactAdminForm(WAeUPForm):
+class ContactAdminForm(SIRPForm):
     grok.name('contactadmin')
     #grok.context(IUniversity)
@@ -263,5 +263,5 @@
 #
 
-class UniversityPage(WAeUPDisplayFormPage):
+class UniversityPage(SIRPDisplayFormPage):
     """ The main university page.
     """
@@ -286,5 +286,5 @@
         return view.widgets['frontpage']()
 
-class AdministrationPage(WAeUPPage):
+class AdministrationPage(SIRPPage):
     """ The administration overview page.
     """
@@ -333,5 +333,5 @@
 #
 
-class UsersContainerPage(WAeUPPage):
+class UsersContainerPage(SIRPPage):
     """Overview page for all local users.
     """
@@ -370,5 +370,5 @@
         return site_roles_string
 
-class AddUserFormPage(WAeUPAddFormPage):
+class AddUserFormPage(SIRPAddFormPage):
     grok.require('waeup.manageUsers')
     grok.context(IUsersContainer)
@@ -407,5 +407,5 @@
         self.redirect(self.url(self.context))
 
-class UserManageFormPage(WAeUPEditFormPage):
+class UserManageFormPage(SIRPEditFormPage):
     """Manage a user account.
     """
@@ -499,5 +499,5 @@
         return "%s (%s)" % (self.context.title, self.context.__name__)
 
-class MyRolesPage(WAeUPPage):
+class MyRolesPage(SIRPPage):
     """Display site roles and local roles assigned to officers.
     """
@@ -535,5 +535,5 @@
 #
 
-class SearchPage(WAeUPPage):
+class SearchPage(SIRPPage):
     """General search page for the academics section.
     """
@@ -562,5 +562,5 @@
 #
 
-class ConfigurationContainerDisplayFormPage(WAeUPDisplayFormPage):
+class ConfigurationContainerDisplayFormPage(SIRPDisplayFormPage):
     """View page of the configuration container.
     """
@@ -574,5 +574,5 @@
     form_fields['frontpage'].custom_widget = ReSTDisplayWidget
 
-class ConfigurationContainerManageFormPage(WAeUPEditFormPage):
+class ConfigurationContainerManageFormPage(SIRPEditFormPage):
     """Manage page of the configuration container. We always use the
     manage page in the UI not the view page, thus we use the index name here.
@@ -629,5 +629,5 @@
         return
 
-class SessionConfigurationAddFormPage(WAeUPAddFormPage):
+class SessionConfigurationAddFormPage(SIRPAddFormPage):
     """Add a session configuration object to configuration container.
     """
@@ -657,5 +657,5 @@
         return
 
-class SessionConfigurationManageFormPage(WAeUPEditFormPage):
+class SessionConfigurationManageFormPage(SIRPEditFormPage):
     """Manage session configuration object.
     """
@@ -692,5 +692,5 @@
 #
 
-class DatacenterPage(WAeUPPage):
+class DatacenterPage(SIRPPage):
     grok.context(IDataCenter)
     grok.name('index')
@@ -699,5 +699,5 @@
     pnav = 0
 
-class DatacenterUploadPage(WAeUPPage):
+class DatacenterUploadPage(SIRPPage):
     grok.context(IDataCenter)
     grok.name('upload')
@@ -743,5 +743,5 @@
         return '%s_%s%s' % (base, filtered_username, ext.lower())
 
-class DatacenterImportStep1(WAeUPPage):
+class DatacenterImportStep1(SIRPPage):
     """Manual import step 1: choose file
     """
@@ -773,5 +773,5 @@
             self.redirect(self.url(self.context, '@@import2'))
 
-class DatacenterImportStep2(WAeUPPage):
+class DatacenterImportStep2(SIRPPage):
     """Manual import step 2: choose importer
     """
@@ -891,5 +891,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep3(WAeUPPage):
+class DatacenterImportStep3(SIRPPage):
     """Manual import step 3: modify header
     """
@@ -995,5 +995,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep4(WAeUPPage):
+class DatacenterImportStep4(SIRPPage):
     """Manual import step 4: do actual import
     """
@@ -1052,5 +1052,5 @@
                 linenum - (self.warn_num)))
 
-class DatacenterLogsOverview(WAeUPPage):
+class DatacenterLogsOverview(SIRPPage):
     grok.context(IDataCenter)
     grok.name('logs')
@@ -1073,5 +1073,5 @@
         self.files = self.context.getLogFiles()
 
-class DatacenterLogsFileview(WAeUPPage):
+class DatacenterLogsFileview(SIRPPage):
     grok.context(IDataCenter)
     grok.name('show')
@@ -1092,5 +1092,5 @@
         self.filecontents = open(fullpath, 'rb').read()
 
-class DatacenterSettings(WAeUPPage):
+class DatacenterSettings(SIRPPage):
     grok.context(IDataCenter)
     grok.name('manage')
@@ -1132,5 +1132,5 @@
 
     def render(self):
-        exporter = IWAeUPXMLExporter(self.context)
+        exporter = ISIRPXMLExporter(self.context)
         xml = exporter.export().read()
         self.response.setHeader(
@@ -1138,5 +1138,5 @@
         return xml
 
-class ImportXMLPage(WAeUPPage):
+class ImportXMLPage(SIRPPage):
     """Replace the context object by an object created from an XML
        representation.
@@ -1154,5 +1154,5 @@
         if not xmlfile:
             return
-        importer = IWAeUPXMLImporter(self.context)
+        importer = ISIRPXMLImporter(self.context)
         obj = importer.doImport(xmlfile)
         if type(obj) != type(self.context):
@@ -1175,5 +1175,5 @@
 #
 
-class FacultyContainerPage(WAeUPPage):
+class FacultyContainerPage(SIRPPage):
     """ Index page for faculty containers.
     """
@@ -1186,5 +1186,5 @@
     grok.template('facultypage')
 
-class FacultyContainerManageFormPage(WAeUPEditFormPage):
+class FacultyContainerManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1224,5 +1224,5 @@
 
 
-class FacultyAddFormPage(WAeUPAddFormPage):
+class FacultyAddFormPage(SIRPAddFormPage):
     """ Page form to add a new faculty to a faculty container.
     """
@@ -1253,5 +1253,5 @@
 # Faculty pages
 #
-class FacultyPage(WAeUPPage):
+class FacultyPage(SIRPPage):
     """Index page of faculties.
     """
@@ -1269,5 +1269,5 @@
         return 'Departments'
 
-class FacultyManageFormPage(WAeUPEditFormPage):
+class FacultyManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1341,5 +1341,5 @@
         return del_local_roles(self,3,**data)
 
-class DepartmentAddFormPage(WAeUPAddFormPage):
+class DepartmentAddFormPage(SIRPAddFormPage):
     """Add a department to a faculty.
     """
@@ -1374,5 +1374,5 @@
 # Department pages
 #
-class DepartmentPage(WAeUPPage):
+class DepartmentPage(SIRPPage):
     """Department index page.
     """
@@ -1407,5 +1407,5 @@
             yield(dict(url=url, name=key, container=val))
 
-class ShowStudentsPage(WAeUPPage):
+class ShowStudentsPage(SIRPPage):
     """Page that lists all students in the department.
     """
@@ -1430,5 +1430,5 @@
         return
 
-class DepartmentManageFormPage(WAeUPEditFormPage):
+class DepartmentManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Department` instance.
     """
@@ -1530,5 +1530,5 @@
         return del_local_roles(self,4,**data)
 
-class CourseAddFormPage(WAeUPAddFormPage):
+class CourseAddFormPage(SIRPAddFormPage):
     """Add-form to add course to a department.
     """
@@ -1571,5 +1571,5 @@
         return
 
-class CertificateAddFormPage(WAeUPAddFormPage):
+class CertificateAddFormPage(SIRPAddFormPage):
     """Add-form to add certificate to a department.
     """
@@ -1616,5 +1616,5 @@
 # Courses pages
 #
-class CoursePage(WAeUPPage):
+class CoursePage(SIRPPage):
     """Course index page.
     """
@@ -1629,5 +1629,5 @@
         return 'Course: %s (%s)' % (self.context.title, self.context.code)
 
-class CourseManageFormPage(WAeUPEditFormPage):
+class CourseManageFormPage(SIRPEditFormPage):
     """Edit form page for courses.
     """
@@ -1663,5 +1663,5 @@
 # Certificate pages
 #
-class CertificatePage(WAeUPDisplayFormPage):
+class CertificatePage(SIRPDisplayFormPage):
     """Index page for certificates.
     """
@@ -1683,5 +1683,5 @@
         return super(CertificatePage, self).update()
 
-class CertificateManageFormPage(WAeUPEditFormPage):
+class CertificateManageFormPage(SIRPEditFormPage):
     """Manage the properties of a `Certificate` instance.
     """
@@ -1738,5 +1738,5 @@
 
 
-class CertificateCourseAddFormPage(WAeUPAddFormPage):
+class CertificateCourseAddFormPage(SIRPAddFormPage):
     """Add-page to add a course ref to a certificate
     """
@@ -1771,5 +1771,5 @@
 # Certificate course pages...
 #
-class CertificateCoursePage(WAeUPPage):
+class CertificateCoursePage(SIRPPage):
     """CertificateCourse index page.
     """
@@ -1788,5 +1788,5 @@
         return course_levels.getTerm(self.context.level).title
 
-class CertificateCourseManageFormPage(WAeUPEditFormPage):
+class CertificateCourseManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `CertificateCourse` instance.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7321)
@@ -257,5 +257,5 @@
     depends=[reset_fonts_grids])
 
-#: Register basic WAeUP base CSS (which is based on ``yuiapp.css`` as a
+#: Register basic SIRP base CSS (which is based on ``yuiapp.css`` as a
 #: resource.
 waeup_base_css = ResourceInclusion(
@@ -263,10 +263,10 @@
     depends=[yuiapp_css, base])
 
-#: The red WAeUP theme registered as a resource.
+#: The red SIRP theme registered as a resource.
 waeuptheme_red1 = ResourceInclusion(
     waeup_sirp, 'waeuptheme-red1.css',
     depends=[waeup_base_css])
 
-#: The gray WAeUP theme registered as a resource.
+#: The gray SIRP theme registered as a resource.
 waeuptheme_gray1 = ResourceInclusion(
     waeup_sirp, 'waeuptheme-gray1.css',
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7321)
@@ -23,5 +23,5 @@
 from zope.interface import Interface
 from zope.schema.interfaces import IVocabularyFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 from waeup.sirp.browser.interfaces import ITheme
 from waeup.sirp.browser.resources import (
@@ -30,5 +30,5 @@
     )
 
-class WAeUPThemeBase(grok.GlobalUtility):
+class SIRPThemeBase(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('base waeup theme')
@@ -39,5 +39,5 @@
         return [waeup_base_css]
 
-class WAeUPThemeRed1(grok.GlobalUtility):
+class SIRPThemeRed1(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('red waeup theme')
@@ -48,5 +48,5 @@
         return [waeuptheme_red1]
 
-class WAeUPThemeGray1(grok.GlobalUtility):
+class SIRPThemeGray1(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('gray waeup theme')
@@ -57,5 +57,5 @@
         return [waeuptheme_gray1]
 
-class WAeUPThemeEmpty(grok.GlobalUtility):
+class SIRPThemeEmpty(grok.GlobalUtility):
     """A theme based on jQuery only.
 
@@ -113,4 +113,4 @@
         terms = [(theme.description, name)
                  for name, theme in get_all_themes()]
-        vocab = SimpleWAeUPVocabulary(*terms)
+        vocab = SimpleSIRPVocabulary(*terms)
         return vocab
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7321)
@@ -28,11 +28,11 @@
     IFacultyContainer, IFaculty, IDepartment, ICourse, ICertificate,
     ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
-from waeup.sirp.interfaces import (IWAeUPObject, IWAeUPXMLExporter,
-                                   IWAeUPXMLImporter, IDataCenter, IUserAccount)
-from waeup.sirp.browser.layout import WAeUPPage, default_primary_nav_template
+from waeup.sirp.interfaces import (ISIRPObject, ISIRPXMLExporter,
+                                   ISIRPXMLImporter, IDataCenter, IUserAccount)
+from waeup.sirp.browser.layout import SIRPPage, default_primary_nav_template
 from waeup.sirp.utils.helpers import get_user_account
 
 grok.templatedir('templates')
-grok.context(IWAeUPObject) # Make IWAeUPObject the default context
+grok.context(ISIRPObject) # Make ISIRPObject the default context
 
 class LeftSidebar(grok.ViewletManager):
@@ -74,5 +74,5 @@
     """
     grok.baseclass()
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.viewletmanager(ActionBar)
     icon = 'actionicon_modify.png' # File must exist in static/
@@ -185,5 +185,5 @@
 
 class BreadCrumbs(grok.Viewlet):
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.viewletmanager(BreadCrumbManager)
     grok.order(1)
@@ -227,5 +227,5 @@
     grok.baseclass()
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(5)
     grok.require('waeup.manageUniversity')
@@ -279,5 +279,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(2)
@@ -313,5 +313,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(5)
@@ -519,5 +519,5 @@
 class BrowseActionButton(ActionButton):
     grok.baseclass()
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.template('actionbutton')
     grok.viewletmanager(ActionBar)
Index: main/waeup.sirp/trunk/src/waeup/sirp/catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/catalog.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/catalog.py	(revision 7321)
@@ -31,5 +31,5 @@
 
 # not yet used
-class WAeUPQuery(Query):
+class SIRPQuery(Query):
     """A hurry.query-like query that supports also ``apply``.
     """
@@ -50,5 +50,5 @@
         return results
 
-grok.global_utility(WAeUPQuery)
+grok.global_utility(SIRPQuery)
 
 # not yet used
Index: main/waeup.sirp/trunk/src/waeup/sirp/datacenter.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/datacenter.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/datacenter.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""WAeUP data center.
+"""SIRP data center.
 
 The waeup data center cares for management of upload data and provides
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7321)
@@ -21,5 +21,5 @@
 import sys
 from waeup.sirp.browser import (
-    WAeUPEditFormPage, WAeUPAddFormPage, WAeUPDisplayFormPage,
+    SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
     NullValidator)
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
@@ -29,5 +29,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
 from waeup.sirp.hostels.hostel import Hostel
@@ -57,5 +57,5 @@
     """
 
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(5)
     grok.require('waeup.viewHostels')
@@ -91,5 +91,5 @@
         return 'Block %s, Room %s, Bed %s' % (co[1], co[2], co[3])
 
-class HostelsContainerPage(WAeUPDisplayFormPage):
+class HostelsContainerPage(SIRPDisplayFormPage):
     """The standard view for hostels containers.
     """
@@ -109,5 +109,5 @@
     text = 'Manage accommodation section'
 
-class HostelsContainerManagePage(WAeUPDisplayFormPage):
+class HostelsContainerManagePage(SIRPDisplayFormPage):
     """The manage page for hostel containers.
     """
@@ -141,5 +141,5 @@
         return
 
-class HostelAddFormPage(WAeUPAddFormPage):
+class HostelAddFormPage(SIRPAddFormPage):
     """Add-form to add a hostel.
     """
@@ -169,5 +169,5 @@
         return
 
-class HostelDisplayFormPage(WAeUPDisplayFormPage):
+class HostelDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display hostel data
     """
@@ -194,5 +194,5 @@
     target = 'manage'
 
-class HostelManageFormPage(WAeUPEditFormPage):
+class HostelManageFormPage(SIRPEditFormPage):
     """ View to edit hostel data
     """
@@ -294,5 +294,5 @@
         return
 
-class BedManageFormPage(WAeUPEditFormPage):
+class BedManageFormPage(SIRPEditFormPage):
     """ View to edit bed data
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7321)
@@ -18,14 +18,14 @@
 from zope.interface import invariant, Invalid
 from zope import schema
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import (
     bed_letters, blocks, special_handling, StudentSource)
 
-class IHostelsContainer(IWAeUPObject):
+class IHostelsContainer(ISIRPObject):
     """A container for all kind of hostel objects.
 
     """
 
-class IHostel(IWAeUPObject):
+class IHostel(ISIRPObject):
     """A base representation of hostels.
 
@@ -145,5 +145,5 @@
             raise Invalid('Bed categories overlap.')
 
-class IBed(IWAeUPObject):
+class IBed(ISIRPObject):
     """A base representation of beds.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7321)
@@ -22,5 +22,5 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 
 NOT_OCCUPIED = u'not occupied'
@@ -53,5 +53,5 @@
         return "%s - %s" % (value, self.acco_students(context)[value])
 
-bed_letters = SimpleWAeUPVocabulary(
+bed_letters = SimpleSIRPVocabulary(
     ('Bed A','A'),
     ('Bed B','B'),
@@ -65,5 +65,5 @@
     )
 
-blocks = SimpleWAeUPVocabulary(
+blocks = SimpleSIRPVocabulary(
     ('Block A','A'),
     ('Block B','B'),
@@ -83,5 +83,5 @@
     )
 
-special_handling = SimpleWAeUPVocabulary(
+special_handling = SimpleSIRPVocabulary(
     ('Regular Hostel','regular'),
     ('Blocked Hostel','blocked'),
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py	(revision 7321)
@@ -3,8 +3,8 @@
 Includings schemas, widgets and the content components.
 """
-from waeup.sirp.image.image import WAeUPImageFile, createWAeUPImageFile
+from waeup.sirp.image.image import SIRPImageFile, createSIRPImageFile
 
 __all__ = [
-    "WAeUPImageFile",
-    "createWAeUPImageFile",
+    "SIRPImageFile",
+    "createSIRPImageFile",
     ]
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/browser/widget.py	(revision 7321)
@@ -19,5 +19,5 @@
 """
 import os
-from waeup.sirp.image import WAeUPImageFile
+from waeup.sirp.image import SIRPImageFile
 from hurry.file.browser.widget import (
     EncodingFileWidget, DownloadWidget, FakeFieldStorage)
@@ -62,5 +62,5 @@
                 seek(0)
                 return retrieval.createFile(input.filename, input)
-            return WAeUPImageFile(input.filename, data)
+            return SIRPImageFile(input.filename, data)
         else:
             return self.context.missing_value
@@ -143,5 +143,5 @@
         data = file_id.decode('base64')
         filename, filedata = data.split('\n', 1)
-        return WAeUPImageFile(filename, filedata)
+        return SIRPImageFile(filename, filedata)
 
 class ThumbnailWidget(DownloadWidget):
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/image.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 7321)
@@ -23,7 +23,7 @@
 from zope.component import getUtility
 from zope.interface import implements
-from waeup.sirp.image.interfaces import IWAeUPImageFile
+from waeup.sirp.image.interfaces import ISIRPImageFile
 
-class WAeUPImageFile(HurryFile):
+class SIRPImageFile(HurryFile):
     """A file prepared for storing image files.
 
@@ -32,8 +32,8 @@
     regular hurry files.
 
-    To create a :class:`WAeUPImageFile` you should use
-    :func:`createWAeUPImageFile`.
+    To create a :class:`SIRPImageFile` you should use
+    :func:`createSIRPImageFile`.
     """
-    implements(IWAeUPImageFile)
+    implements(ISIRPImageFile)
 
     def __ne__(self, other):
@@ -45,5 +45,5 @@
             return True
 
-def createWAeUPImageFile(filename, f):
+def createSIRPImageFile(filename, f):
     retrieval = getUtility(IFileRetrieval)
     return retrieval.createFile(filename, f)
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 7321)
@@ -24,5 +24,5 @@
     """
     
-class IWAeUPImageFile(IHurryFile):
+class ISIRPImageFile(IHurryFile):
     """Image file.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 7321)
@@ -23,5 +23,5 @@
 from hurry.file.schema import File
 from waeup.sirp.image.interfaces import IImageFile
-from waeup.sirp.image.image import WAeUPImageFile
+from waeup.sirp.image.image import SIRPImageFile
 
 class MinMaxSize(object):
@@ -82,3 +82,3 @@
     implements(IImageFile)
 
-    _type = WAeUPImageFile
+    _type = SIRPImageFile
Index: main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7321)
@@ -44,5 +44,5 @@
         os.path.dirname(__file__), 'frontpage.rst'), 'rb').read()
 
-def SimpleWAeUPVocabulary(*terms):
+def SimpleSIRPVocabulary(*terms):
     """A well-buildt vocabulary provides terms with a value, token and
        title for each term
@@ -60,7 +60,7 @@
     return [('%s/%s' % (year,year+1), year) for year in year_range]
 
-academic_sessions_vocab = SimpleWAeUPVocabulary(*academic_sessions())
-
-registration_states_vocab = SimpleWAeUPVocabulary(
+academic_sessions_vocab = SimpleSIRPVocabulary(*academic_sessions())
+
+registration_states_vocab = SimpleSIRPVocabulary(
     ('created', CREATED),
     ('admitted', ADMITTED),
@@ -140,24 +140,24 @@
         return value
 
-class IWAeUPObject(Interface):
-    """A WAeUP object.
+class ISIRPObject(Interface):
+    """A SIRP object.
 
     This is merely a marker interface.
     """
 
-class IUniversity(IWAeUPObject):
+class IUniversity(ISIRPObject):
     """Representation of a university.
     """
 
 
-class IWAeUPContainer(IWAeUPObject):
-    """A container for WAeUP objects.
-    """
-
-class IWAeUPContained(IWAeUPObject):
-    """An item contained in an IWAeUPContainer.
-    """
-
-class IWAeUPExporter(Interface):
+class ISIRPContainer(ISIRPObject):
+    """A container for SIRP objects.
+    """
+
+class ISIRPContained(ISIRPObject):
+    """An item contained in an ISIRPContainer.
+    """
+
+class ISIRPExporter(Interface):
     """An exporter for objects.
     """
@@ -171,5 +171,5 @@
         """
 
-class IWAeUPXMLExporter(Interface):
+class ISIRPXMLExporter(Interface):
     """An XML exporter for objects.
     """
@@ -183,5 +183,5 @@
         """
 
-class IWAeUPXMLImporter(Interface):
+class ISIRPXMLImporter(Interface):
     """An XML import for objects.
     """
@@ -220,5 +220,5 @@
         """
 
-class IContactForm(IWAeUPObject):
+class IContactForm(ISIRPObject):
     """A contact form.
     """
@@ -251,5 +251,5 @@
 
 class ISIRPPrincipalInfo(IPrincipalInfo):
-    """Infos about principals that are users of WAeUP SIRP.
+    """Infos about principals that are users of SIRP SIRP.
     """
     email = Attribute("The email address of a user")
@@ -258,5 +258,5 @@
 
 class ISIRPPrincipal(IPrincipal):
-    """A principle for WAeUP SIRP.
+    """A principle for SIRP SIRP.
 
     This interface extends zope.security.interfaces.IPrincipal and
@@ -274,5 +274,5 @@
         required=False,)
 
-class IUserAccount(IWAeUPObject):
+class IUserAccount(ISIRPObject):
     """A user account.
     """
@@ -318,5 +318,5 @@
 
 
-class IUsersContainer(IWAeUPObject):
+class IUsersContainer(ISIRPObject):
     """A container for users (principals).
 
@@ -343,5 +343,5 @@
         """
 
-class IConfigurationContainer(IWAeUPObject):
+class IConfigurationContainer(ISIRPObject):
     """A container for session configuration objects.
     """
@@ -438,5 +438,5 @@
         )
 
-class ISessionConfiguration(IWAeUPObject):
+class ISessionConfiguration(ISIRPObject):
     """A session configuration object.
     """
@@ -505,5 +505,5 @@
     'academic_session'].order
 
-class IDataCenter(IWAeUPObject):
+class IDataCenter(ISIRPObject):
     """A data center.
 
@@ -568,6 +568,6 @@
         title = u'Longer description of the item found.')
 
-class IWAeUPSIRPPluggable(Interface):
-    """A component that might be plugged into a WAeUP SIRP app.
+class ISIRPPluggable(Interface):
+    """A component that might be plugged into a SIRP SIRP app.
 
     Components implementing this interface are referred to as
@@ -706,5 +706,5 @@
         """
 
-class IWAeUPWorkflowInfo(IWorkflowInfo):
+class ISIRPWorkflowInfo(IWorkflowInfo):
     """A :class:`hurry.workflow.workflow.WorkflowInfo` with additional
        methods for convenience.
@@ -719,5 +719,5 @@
 class ISiteLoggers(Interface):
 
-    loggers = Attribute("A list or generator of registered WAeUPLoggers")
+    loggers = Attribute("A list or generator of registered SIRPLoggers")
 
     def register(name, filename=None, site=None, **options):
@@ -740,5 +740,5 @@
 
     def __init__(name, filename=None, site=None, **options):
-        """Create a WAeUP logger instance.
+        """Create a SIRP logger instance.
         """
 
@@ -872,5 +872,5 @@
 
         Returns a tuple ``(raw_file, path, file_like_obj)`` where the
-        ``file_like_obj`` should be a HurryFile, a WAeUPImageFile or
+        ``file_like_obj`` should be a HurryFile, a SIRPImageFile or
         similar. ``raw_file`` is the (maybe changed) input file and
         ``path`` the relative internal path to store the file at.
Index: main/waeup.sirp/trunk/src/waeup/sirp/meta.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/meta.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/meta.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Grokkers for WAeUP components.
+"""Grokkers for SIRP components.
 
 Stuff in here is mainly taken from grok.meta, with some modifications
@@ -61,5 +61,5 @@
             return False
 
-        subscriber = WAeUPIndexesUpgradeSubscriber(
+        subscriber = SIRPIndexesUpgradeSubscriber(
             catalog_name, indexes, context, module_info)
         subscribed = (site, IObjectUpgradeEvent)
@@ -72,5 +72,5 @@
 
 
-class WAeUPIndexesUpgradeSubscriber(IndexesSetupSubscriber):
+class SIRPIndexesUpgradeSubscriber(IndexesSetupSubscriber):
     """Helper that sets up indexes when their Grok site is upgraded.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py	(revision 7321)
@@ -20,5 +20,5 @@
 from persistent.list import PersistentList
 from zope.annotation.interfaces import IAnnotations
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPObject
+from waeup.sirp.interfaces import IObjectHistory, ISIRPObject
 from waeup.sirp.utils.helpers import get_current_principal
 
@@ -26,9 +26,9 @@
     """A history for objects.
 
-    For any object implementing `IWAeUPObject` which is annotatable,
+    For any object implementing `ISIRPObject` which is annotatable,
     we provide histories. A history for such an object can be obtained
     by adapting it to `IObjectHistory`.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.implements(IObjectHistory)
 
